//如果是从原来mysql导出来的JSON文件，可以用以下来重置id
//sys_user_role
db.sys_user_role.aggregate([{
  "$lookup": {
    "from": "sys_user",
    "localField": "user_id",
    "foreignField": "user_id",
    "as": "sys_user"
  }
}]).forEach(function(item){
  db.sys_user_role.update({user_id:item.sys_user[0].user_id}, {$set:{user_id:item.sys_user[0]._id}})
});
db.sys_user_role.aggregate([{
"$lookup": {
"from": "sys_role",
"localField": "role_id",
"foreignField": "role_id",
"as": "sys_role"
}
}]).forEach(function(item){
db.sys_user_role.update({role_id:item.sys_role[0].role_id}, {$set:{role_id:item.sys_role[0]._id}})
});
//sys_user_post
db.sys_user_post.aggregate([{
"$lookup": {
"from": "sys_user",
"localField": "user_id",
"foreignField": "user_id",
"as": "sys_user"
}
}]).forEach(function(item){
db.sys_user_post.update({user_id:item.sys_user[0].user_id}, {$set:{user_id:item.sys_user[0]._id}})
});
db.sys_user_post.aggregate([{
"$lookup": {
"from": "sys_post",
"localField": "post_id",
"foreignField": "post_id",
"as": "sys_post"
}
}]).forEach(function(item){
db.sys_user_post.update({post_id:item.sys_post[0].post_id}, {$set:{post_id:item.sys_post[0]._id}})
});
//sys_role_menu
db.sys_role_menu.aggregate([{
"$lookup": {
"from": "sys_role",
"localField": "role_id",
"foreignField": "role_id",
"as": "sys_role"
}
}]).forEach(function(item){
db.sys_role_menu.update({role_id:item.sys_role[0].role_id}, {$set:{role_id:item.sys_role[0]._id}})
});
db.sys_role_menu.aggregate([{
"$lookup": {
"from": "sys_menu",
"localField": "menu_id",
"foreignField": "menu_id",
"as": "sys_menu"
}
}]).forEach(function(item){
db.sys_role_menu.update({menu_id:item.sys_menu[0].menu_id}, {$set:{menu_id:item.sys_menu[0]._id}})
});
//sys_role_dept
db.sys_role_dept.aggregate([{
"$lookup": {
"from": "sys_role",
"localField": "role_id",
"foreignField": "role_id",
"as": "sys_role"
}
}]).forEach(function(item){
db.sys_role_dept.update({role_id:item.sys_role[0].role_id}, {$set:{role_id:item.sys_role[0]? item.sys_role[0]._id:0}})
});
db.sys_role_dept.aggregate([{
"$lookup": {
"from": "sys_dept",
"localField": "dept_id",
"foreignField": "dept_id",
"as": "sys_dept"
}
}]).forEach(function(item){
db.sys_role_dept.update({dept_id:item.sys_dept[0].dept_id}, {$set:{dept_id:item.sys_dept[0]? item.sys_dept[0]._id:0}})
});
//sys_menu
db.sys_menu.aggregate([{
"$lookup": {
"from": "sys_menu",
"localField": "parent_id",
"foreignField": "menu_id",
"as": "sys_menu"
}
}]).forEach(function(item){
db.sys_menu.update({parent_id:item.parent_id}, {$set:{parent_id: item.sys_menu[0]? item.sys_menu[0]._id:"0"}})
});
//sys_user
db.sys_user.aggregate([{
"$lookup": {
"from": "sys_dept",
"localField": "dept_id",
"foreignField": "dept_id",
"as": "sys_dept"
}
}]).forEach(function(item){
db.sys_user.update({dept_id:item.dept_id}, {$set:{dept_id: item.sys_dept[0]? item.sys_dept[0]._id:0}})
});
//sys_dept
db.sys_dept.aggregate([{
"$lookup": {
"from": "sys_dept",
"localField": "parent_id",
"foreignField": "dept_id",
"as": "sys_dept"
}
}]).forEach(function(item){
db.sys_dept.update({parent_id:item.dept_id}, {$set:{parent_id: item.sys_dept[0]? item.sys_dept[0]._id:0}})
});